# GimpUi.Preview

    from gi.repository import GimpUi

    preview = GimpUi.Preview(update=value)

A widget providing a GimpUi.PreviewArea plus framework to update the preview.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.Preview

## Methods

- GimpUi.Preview.draw
- GimpUi.Preview.draw_buffer
- GimpUi.Preview.get_area
- GimpUi.Preview.get_bounds
- GimpUi.Preview.get_controls
- GimpUi.Preview.get_default_cursor
- GimpUi.Preview.get_frame
- GimpUi.Preview.get_grid
- GimpUi.Preview.get_offsets
- GimpUi.Preview.get_position
- GimpUi.Preview.get_size
- GimpUi.Preview.get_update
- GimpUi.Preview.invalidate
- GimpUi.Preview.set_bounds
- GimpUi.Preview.set_default_cursor
- GimpUi.Preview.set_offsets
- GimpUi.Preview.set_size
- GimpUi.Preview.set_update
- GimpUi.Preview.transform
- GimpUi.Preview.untransform

## Properties

- update

## Signals

- invalidated

## Virtual functions

- GimpUi.Preview::draw
- GimpUi.Preview::draw_buffer
- GimpUi.Preview::draw_thumb
- GimpUi.Preview::set_cursor
- GimpUi.Preview::transform
- GimpUi.Preview::untransform

## Fields

- GimpUi.Preview->parent_instance